#include "My_LCD.h"
//#include "My_ADC.h"
#include "My_Voltage.h"
#include "My_Temperature.h"
#include "My_Soft_I2C.h"

//------------------
char v_txt[6] = "";
char t_txt[6] = "";

//float d = 0.00;
//------------------

// For Message sending
char txt1[] = "FREAKEN LCD";
char txt2[] = "WORKING FINALLY";
// For Wellcome Display
char txt3[] = "THANK YOU";
char txt4[] = "MIKRO C PRO";

void Display_Wellcome(void){
     Lcd_Cmd(_LCD_CLEAR);                // Clear display
     Lcd_Cmd(_LCD_CURSOR_OFF);           // Cursor off
     Lcd_Out(1,1,txt3);                 // Write text in first row
     //Lcd_chr_cp('V');
     Lcd_Out(2,1,txt4);                 // Write text in second row
     Delay_ms(2000);
}

void Display_Message(void){
     Lcd_Cmd(_LCD_CLEAR);                // Clear display
     Lcd_Out(1,1,txt1);                 // Write text in first row
     Lcd_Out(2,1,txt2);                 // Write text in second row
     Delay_ms(2000);
}

// For Temperature Display

void Display_Temperature(void){
//-------------AT PIN RA3 Voltage-------------------
     Lcd_Cmd(_LCD_CLEAR);                // Clear display
     Lcd_Cmd(_LCD_CURSOR_OFF);           // Cursor off
     FloatToStr(temperature,t_txt);
     Lcd_Out(1,1,"Temperature:");      // Prepare and output static text on LCD
     //-----------------------TEST CODE---------------------
     //Lcd_Out(1,1,temp2volt_resulated);
     //-----------------------------------------------------
     delay_ms(500);
     LCD_Out(2,1,t_txt);
     Lcd_Chr_Cp(223); // Print 'Degre' sign in the LCD
     Lcd_chr_cp('C');
     delay_ms(2000);
}


// For Voltage Display

void Display_Voltage(void){
//-------------AT PIN RA1 Voltage-------------------
     Lcd_Cmd(_LCD_CLEAR);                // Clear display
     Lcd_Cmd(_LCD_CURSOR_OFF);           // Cursor off
     FloatToStr(volt_resulated,v_txt);
     Lcd_Out(1,1,"RA1_Pin Voltage:");      // Prepare and output static text on LCD
     delay_ms(500);
     LCD_Out(2,1,v_txt);
     //Lcd_Out(2,12,"V");      // Prepare and output static text on LCD
     Lcd_chr_cp('v');
     delay_ms(2000);
//-------------Battery Voltage-----------------
     Lcd_Cmd(_LCD_CLEAR);                // Clear display
     Lcd_Cmd(_LCD_CURSOR_OFF);           // Cursor off
     FloatToStr(volt_resulated+10,v_txt);
     //Lcd_Out(1,1,"Bat Voltage:");      // Prepare and output static text on LCD
     delay_ms(500);
     LCD_Out(2,1,v_txt);
     Lcd_chr_cp('v');
     delay_ms(2000);
}
/*
void Display_Voltage(void){
     Lcd_Cmd(_LCD_CLEAR);                // Clear display
     Lcd_Cmd(_LCD_CURSOR_OFF);           // Cursor off
     Lcd_Out(1,1,"Voltage:");      // Prepare and output static text on LCD
     Lcd_chr(1,11, Volt_Correct+48+d1);
     Lcd_chr_cp(d2+48);
     Lcd_chr_cp('.');
     Lcd_chr_cp(48+d3);
     Lcd_chr_cp(48+d4);
     Lcd_chr_cp('V');
     Delay_ms(20);
}
/*
  lcd_chr(2,11,48+d1);
    lcd_chr_cp(d2+48);
    lcd_chr_cp('.');
    lcd_chr_cp(48+d3);
    lcd_chr_cp(48+d4);
    lcd_chr_cp('Volt');
    int Volt_Correct_Fact;
*/

//-------------------- Output Format to LCD -------------------------
void Display_Time_Format(void) {
     Lcd_Cmd(_LCD_CLEAR);       // Clear LCD display
     Lcd_Cmd(_LCD_CURSOR_OFF);  // Turn cursor off
     Lcd_Out(1,1,"Date:");      // Prepare and output static text on LCD
     Lcd_Chr(1,8,'.');
     //Lcd_Out(1,8,'.');
     Lcd_Chr(1,11,'.');
     //Lcd_Out(1,11,'.');
     Lcd_Chr(1,16,'.');
     Lcd_Out(2,1,"Time:");
     Lcd_Chr(2,8,':');
     //Lcd_Out(2,8,'.');
     Lcd_Chr(2,11,':');
     //Lcd_Out(2,11,'.');
     Lcd_Out(1,12,"201");       // start from year 2010}
}

//-------------------- Output values to LCD -----------------------------------
void Display_Time(void) {
     Lcd_Chr(1, 6, (day / 10)   + 48);    // Print tens digit of day variable
     Lcd_Chr(1, 7, (day % 10)   + 48);    // Print oness digit of day variable
     Lcd_Chr(1, 9, (month / 10) + 48);
     Lcd_Chr(1,10, (month % 10) + 48);
     Lcd_Chr(1,15,  year        + 48);    // Print year variable  (start from year 2010)

     Lcd_Chr(2, 6, (hours / 10)   + 48);
     Lcd_Chr(2, 7, (hours % 10)   + 48);
     Lcd_Chr(2, 9, (minutes / 10) + 48);
     Lcd_Chr(2,10, (minutes % 10) + 48);
     Lcd_Chr(2,12, (seconds / 10) + 48);
     Lcd_Chr(2,13, (seconds % 10) + 48);
}
/*
//------------------------EDA BOARD MODIFIED-------------------------------------
void Display_Time(void) {
     Lcd_Chr(1, 6, (day / 10)   + 48);    // Print tens digit of day variable
     Lcd_Chr(1, 7, (day % 10)   + 48);    // Print oness digit of day variable
     Lcd_Chr(1, 9, (month / 10) + 48);
     Lcd_Chr(1,10, (month % 10) + 48);
     Lcd_Chr(1,15,  year        + 48);    // Print year variable  (start from year 2010)

     Lcd_Chr(2, 6, ((hours / 10)%10)  + 48);
     Lcd_Chr(2, 7, (hours % 10)   + 48);
     Lcd_Chr(2, 9, ((minutes / 10)%10) + 48);
     Lcd_Chr(2,10, (minutes % 10) + 48);
     Lcd_Chr(2,12, ((seconds / 10)%10) + 48);
     Lcd_Chr(2,13, (seconds % 10) + 48);
}
//-------------------------------------------------------------------------------
*/